### Method

# Clutter KeyframeTransition set_key_frames

#### Declaration [src]

    void
    clutter_keyframe_transition_set_key_frames (
      ClutterKeyframeTransition* transition,
      guint n_key_frames,
      const double* key_frames
    )

#### Description [src]

Sets the keys for each key frame inside `transition`.

If `transition` does not hold any key frame, `n_key_frames` key frames will be created; if `transition` already has key frames, `key_frames` must have at least as many elements as the number of key frames.

#### Parameters

`n_key_frames`

  Type: `guint`

  The number of values.

`key_frames`

  Type: An array of `double`

  An array of keys between 0.0 and 1.0, one for each key frame.

  The length of the array is specified in the `n_key_frames` argument.
  The data is owned by the caller of the method.